# VCard class

VCard

Inheritance
  - Object
  - GenericDocumentWrapper
  - VCard

## Constructors

VCard.new(GenericDocument document)

## Properties

anniversary → VCardAnniversary?
  The child document of type "Anniversary".
  no setter
birthday → VCardBirthday?
  The child document of type "Birthday".
  no setter
busyTimeURL → VCardBusyTimeURL?
  The child document of type "BusyTimeURL".
  no setter
calendarURI → VCardCalendarURI?
  The child document of type "CalendarURI".
  no setter
calendarURIForRequests → VCardCalendarURIForRequests?
  The child document of type "CalendarURIForRequests".
  no setter
categories → VCardCategories?
  The child document of type "Categories".
  no setter
clientPIDMap → VCardClientPIDMap?
  The child document of type "ClientPIDMap".
  no setter
customs → List<VCardCustom>
  A list of all children of type "Custom".
  no setter
deliveryAddress → VCardDeliveryAddress?
  The child document of type "DeliveryAddress".
  no setter
document → GenericDocument
  final inherited
email → VCardEmail?
  The child document of type "Email".
  no setter
firstName → VCardFirstName?
  The child document of type "FirstName".
  no setter
gender → VCardGender?
  The child document of type "Gender".
  no setter
geoLocation → VCardGeoLocation?
  The child document of type "GeoLocation".
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
impp → VCardIMPP?
  The child document of type "IMPP".
  no setter
kind → VCardKind?
  The child document of type "Kind".
  no setter
languages → VCardLanguages?
  The child document of type "Languages".
  no setter
logo → VCardLogo?
  The child document of type "Logo".
  no setter
member → VCardMember?
  The child document of type "Member".
  no setter
name → VCardName?
  The child document of type "Name".
  no setter
nickname → VCardNickname?
  The child document of type "Nickname".
  no setter
note → VCardNote?
  The child document of type "Note".
  no setter
organisation → VCardOrganisation?
  The child document of type "Organisation".
  no setter
photo → VCardPhoto?
  The child document of type "Photo".
  no setter
productId → VCardProductId?
  The child document of type "ProductId".
  no setter
publicKey → VCardPublicKey?
  The child document of type "PublicKey".
  no setter
related → VCardRelated?
  The child document of type "Related".
  no setter
requiredDocumentType → String
  no setter override
revision → VCardRevision?
  The child document of type "Revision".
  no setter
role → VCardRole?
  The child document of type "Role".
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
sound → VCardSound?
  The child document of type "Sound".
  no setter
source → VCardSource?
  The child document of type "Source".
  no setter
telephoneNumber → VCardTelephoneNumber?
  The child document of type "TelephoneNumber".
  no setter
timeZone → VCardTimeZone?
  The child document of type "TimeZone".
  no setter
title → VCardTitle?
  The child document of type "Title".
  no setter
uid → VCardUID?
  The child document of type "UID".
  no setter
url → VCardURL?
  The child document of type "URL".
  no setter
version → VCardVersion
  The child document of type "Version".
  no setter
xml → VCardXML?
  The child document of type "XML".
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.